// Copyright (c) 2004 Rowley Associates Limited.
//
// This file may be distributed under the terms of the License Agreement
// provided with this software.
//
// THIS FILE IS PROVIDED AS IS WITH NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

#include "test.h"
#include <ctl_api.h>
#include <targets/LH754xx.h>

#define GPIO_REG *((volatile unsigned char *)0x4C580000)

void
BoardInit(void)
{
  GPIO_REG |= 1;
}

unsigned long
TicksPerSecond(void)
{
  return 1000;
}

void
SetButtonPressedISR(CTL_ISR_FN_t isr)
{
}

void
SetLeds(unsigned v)
{
  if (v)
    GPIO_REG &= ~1;
  else
    GPIO_REG |= 1;
}
